package com.qmth.teachcloud.task.job;

import com.qmth.teachcloud.task.job.service.JobService;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.springframework.scheduling.quartz.QuartzJobBean;

import javax.annotation.Resource;

/**
 * @Description: 发送即将到期数据短信提醒（每天15点）
 */
public class SendSmsExpireJob extends QuartzJobBean {

    @Resource
    JobService jobService;

    @Override
    protected void executeInternal(JobExecutionContext jobExecutionContext) throws JobExecutionException {
        try {
            jobService.sendSmsExpireTask();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
